<?

if(!defined('SPAIZ_CODE'))
{
	Header("Location: /index.php");
	die();
}

/**
 * d2c template parser class
 *
 */
class template
{
	/**
	 * template name
	 *
	 * @var string
	 */
	var $template_name;
	/**
	 * array of tokens to replace
	 *
	 * @var string
	 */
	var $find = array();
	/**
	 * array of strings to replace tokens
	 *
	 * @var array of string
	 */
	var $replace = array();
	/**
	 * is template loaded?
	 *
	 * @var boolead
	 */
	var $loaded = false;
	/**
	 * array of template names
	 *
	 * @var array of string
	 */
	var $templates = array();
	/**
	 * time to load template
	 *
	 * @var integer
	 */
	var $loadtime = 0;
	/**
	 * time to parse template
	 *
	 * @var integer
	 */
	var $parsetime = 0;

	/**
	 * loads template
	 *
	 * @param string $filename
	 */
	function load($filename)
	{
		$this->template_name = $filename;
		if(file_exists("themes/$this->template_name/template.tpl"))
		{
			$mtime = microtime();
		      $mtime = explode(" ",$mtime);
    			$mtime = $mtime[1] + $mtime[0];
    			$stime = $mtime;
    			
			include_once("themes/$this->template_name/template.tpl");
			$templates_names = array("opentable", "closetable",
	 		"opentable2", "closetable2",
			 "themeheader", "themefooter",
			 "modtitle","themenewspoll",
			 "themenewshome", "themenewsview",
			 "themeleftbox", "themerightbox",
			 "themecenterbox", "thememessagebox",
			 "themecomments", "themecommentsform",
			 "themebbcodes", "themesmiles",
			 "themebanned", "themestyle",
			"themearticlesview","themenewsprint");
			foreach($templates_names as $name)
			{
				$this->templates["$name"]=$$name;
			}
			$mtime = microtime();
    			$mtime = explode(" ",$mtime);
    			$mtime = $mtime[1] + $mtime[0];
    			$etime = $mtime;
    			$ttime = ($etime - $stime);
			$this->loadtime=$ttime;
			$this->loaded=true;
		}
		else
		{
			echo _INDEX46;
			die();
		}
	}
	
	/**
	 * sets array of tokens to replace
	 *
	 * @param array $find
	 */
	function set_find($find)
	{
		$this->find=$find;
	}

	/**
	 * sets array of strings to replace tokens
	 *
	 * @param array $replace
	 */
	function set_replace($replace)
	{
		$this->replace=$replace;
	}

	/**
	 * returns parsed template
	 *
	 * @param string $name
	 * @return string
	 */
	function parse($name)
	{
		if ($this->loaded)
		{
			$mtime = microtime();
		      $mtime = explode(" ",$mtime);
    			$mtime = (float)$mtime[1] + (float)$mtime[0];
    			$stime = $mtime;

			$s=str_replace($this->find,$this->replace,$this->templates["$name"]);
			preg_match_all("'{php:(.*)}'",$s,$blckname);
			foreach($blckname[1] as $blckfile)
			{
				$find = "{php:".$blckfile."}";
				ob_start();
				eval($blckfile);
				$content=ob_get_contents();
				ob_implicit_flush();
				ob_end_clean();
				$replace=$content;
				$s=str_replace($find,$replace,$s);
			}
			$mtime = microtime();
    			$mtime = explode(" ",$mtime);
    			$mtime = (float)$mtime[1] + (float)$mtime[0];
    			$etime = $mtime;
    			$ttime = ($etime - $stime);
			$this->parsetime+=$ttime;
			return $s;
		}
	}

	/**
	 * returns unparsed template
	 *
	 * @param string $name
	 * @return string
	 */
	function get($name)
	{
		if ($this->loaded)
		{
			return $this->templates["$name"];
		}
	}

	/**
	 * returns template load time
	 *
	 * @return string
	 */
	function getloadtime()
	{
		return substr($this->loadtime,0,7);
	}

	/**
	 * returns template parse time
	 *
	 * @return string
	 */
	function getparsetime()
	{
		return substr($this->parsetime,0,7);
	}



	
}
?>